> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return statistics about a collection

> Stats include the number of documents in the index, how many requests have been made of the collection, the average request time, and the index size in bytes



## OpenAPI

````yaml /api-reference/4.2/service-collections.json get /collections/{collection}/stats
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service collections
servers:
  - url: /api/apollo/
security: []
tags:
  - name: collections
paths:
  /collections/{collection}/stats:
    get:
      tags:
        - 4.2 Collections API
      summary: Return statistics about a collection
      description: >-
        Stats include the number of documents in the index, how many requests
        have been made of the collection, the average request time, and the
        index size in bytes
      operationId: getCollectionMetrics
      parameters:
        - name: collection
          in: path
          description: The name of a collection
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionMetrics'
components:
  schemas:
    CollectionMetrics:
      type: object
      properties:
        collectionId:
          type: string
          readOnly: true
        documentCount:
          type: integer
          format: int64
          readOnly: true
        requestCount:
          type: integer
          format: int64
          readOnly: true
        avgTimePerRequestMs:
          type: number
          format: double
          readOnly: true
        sizeInBytes:
          type: integer
          format: int64
          readOnly: true
        lastModified:
          type: string
          format: date-time
          readOnly: true

````